#define uInt unsigned int

namespace driver_X{
  //pin numbers
  uInt DIRECTION  = 5;
  uInt STEP       = 2;
  uInt ENABLE     = 8;
  //config
  uInt STEP_PERMM = 200;
  bool FLIP       = false;
}

namespace driver_Y{
  //pin numbers
  uInt DIRECTION  = 6;
  uInt STEP       = 3;
  uInt ENABLE     = 8;
  //config
  uInt STEP_PERMM = 200;
  bool FLIP       = false;
}

namespace driver_Z{
  //pin numbers
  uInt DIRECTION  = 7;
  uInt STEP       = 4;
  uInt ENABLE     = 8;
  //config
  uInt STEP_PERMM = 200;
  bool FLIP       = false;
}

namespace driver_A{
  //pin numbers
  uInt DIRECTION  = 36;
  uInt STEP       = 37;
  uInt ENABLE     = 8;
  //config
  uInt STEP_PERANG = 200;
  bool FLIP       = false;
}

namespace driver_B{
  //pin numbers
  uInt DIRECTION  = 38;
  uInt STEP       = 39;
  uInt ENABLE     = 8;
  //config
  uInt STEP_PERANG = 200;
  bool FLIP       = false;
}

//Turet is driven on X axis timer
namespace driver_T{
  //pin numbers
  uInt DIRECTION  = 44;
  uInt STEP       = 45;
  uInt ENABLE     = 46;
  //config
  uInt STEP_PERPOS = 200;
  bool FLIP       = false;
}

namespace spindle{
  //pin numbers
  uInt ENABLE     = 43;
  uInt DIRECTION  = 41;
  uInt PWM        = 42;
  uInt INDEX      = 15;
  uInt SYNC       = 14;
  bool FLIP       = false;
  //config
  uInt SYNC_PULSES = 7;//
  uInt MIN_SPEED = 500;
  uInt MIN_SPEED_PWM_VALUE = 50;//in %
  uInt MAX_SPEED = 2000;
  uInt MAX_SPEED_PWM_VALUE = 99;//in % cant be 100%
}

#define CMD_RESET 0x18 // ctrl-x.
#define CMD_STATUS_REPORT '?'
#define CMD_CYCLE_START '~'
#define CMD_FEED_HOLD '!'
#define CMD_SAFETY_DOOR 0x84
#define CMD_JOG_CANCEL  0x85
